﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.IO;
using System.Diagnostics;
using ServerLib;
using Config;
using NLog;
using NLog.Config;
using NLog.Targets;
using Utility;
using GameLib;

namespace Log
{
    public class LogSys
    {
        static Logger logger = LogManager.GetLogger("Global");

        public static void Init(LogConfig configIn)
        {
            NLogExtension.ConfigureNLog(configIn);
        }

        public static void Debug(string msg, params object[] args)
        {
            logger.Debug(msg, args);
        }

        public static void Info(string msg, params object[] args)
        {
            logger.Info(msg, args);
        }

        public static void InfoModule(string moduleName, string msg, params object[] args)
        {
            msg = moduleName + "," + msg;
            logger.Info(msg, args);
        }

        public static void Warn(string msg, params object[] args)
        {
            logger.Warn(msg, args);
        }

        public static void WarnModule(string moduleName, string msg, params object[] args)
        {
            msg = moduleName + "," + msg;
            logger.Warn(msg, args);
        }

        public static void Error(string msg, params object[] args)
        {
            logger.Error(msg, args);
        }

        public static void ErrorModule(string moduleName, string msg, params object[] args)
        {
            msg = moduleName + "," + msg;
            logger.Error(msg, args);
        }
    }
}